function E = meas (N,L,R,S,ntotalA,ntotalB)

BL = L(N/2-1);
SL = S(N/2);
SR = S(N/2+1);
BR = R(N/2-1);

IBL = speye(BL.m);
IBR = speye(BR.m);
ISL = speye(SL.m);
ISR = speye(SR.m);

[G,E] = superblock (BL,SL,SR,BR,ntotalA,ntotalB);
